yp-ha-app(1)

NAME
yp-ha-app - Sample YP-HA application to set active or standby mode

SYNOPSIS

   yp-ha-app --go-active
      [--subsys=<subsys-id>] [<logging-parameters>]

   yp-ha-app --go-standby=new-active
      [--subsys=<subsys-id>] [<logging-parameters>]

   yp-ha-app --go-none
      [--subsys=<subsys-id>] [<logging-parameters>]

DESCRIPTION
yp-ha-app is a sample YumaPro subsystem program to demonstrate how the DB-API service can be used to send <yp-ha-mode> messages to the local server.

Exactly 1 of the following 3 CLI parameters must be present.

   --go-active
   --go-standby
   --go-none

Refer to the online user manual for full details on using the netconfd-pro server:

https://docs.yumaworks.com/en/latest/netconfd/index.html

USAGE
Parameters can be entered in any order, and have the form:

   --name[=value]

where:

    name == parameter name
    value == optional parameter value

OPTIONS

--go-active
    The --go-active command is used to tell the local server to switch to YP-HA Active mode.

--go-standby=string
    The --go-standby=new-active command is used to tell the local server to switch to YP-HA Standby mode. The "new-active" parameter is the name of the YP-HA server that should be used as the new YP-HA Active server. Only 'superuser' management sessions are available in this mode.

--go-none
    The --go-none command is used to tell the local server to go offline and leave its YP-HA role. In this mode the server will wait for a new HA role to be set. Only 'superuser' management sessions are available in this mode.

--subsys-id=string
    The --subsys-id parameter keyword is optional. It specifies the subsystem identifier to use when registering with the netconfd-pro server. The default is 'subsys1' if no value is specified.

--log-level=level
    The --log-level, --log, and other logging parameters are also supported.

RETURN VALUE
A return status from the application or the server is returned that represents a status code, found in ncx/status_enum.h. The value 0 (NO_ERR) indicates the server accepted the HA command. A non-zero value indicates that the application or the server rejected the request, or it failed immediately.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1) db-api-app(1) sil-sa-app(1)